Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2225780 - erlang-mochiweb: FTBFS in Fedora rawhide/f39
Summary: erlang-mochiweb: FTBFS in Fedora rawhide/f39
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: erlang-mochiweb
Version: 39
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F39FTBFS F40FTBFS
TreeView+ depends on / blocked
 
Reported: 2023-07-25 17:32 UTC by Fedora Release Engineering
Modified: 2024-04-28 03:29 UTC (History)
1 user (show)

Fixed In Version: erlang-mochiweb-3.2.2-1.fc40 erlang-mochiweb-3.2.2-1.fc39
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2024-04-28 03:17:04 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2023-07-25 17:32 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2023-07-25 17:32 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2023-07-25 17:32 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2023-07-25 17:32:11 UTC
erlang-mochiweb failed to build from source in Fedora rawhide/f39

https://koji.fedoraproject.org/koji/taskinfo?taskID=103571969


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Please fix erlang-mochiweb at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
erlang-mochiweb will be orphaned. Before branching of Fedora 40,
erlang-mochiweb will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2023-07-25 17:32:17 UTC
Created attachment 1977812 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Fedora Release Engineering 2023-07-25 17:32:21 UTC
Created attachment 1977813 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2023-07-25 17:32:24 UTC
Created attachment 1977814 [details]
state.log

Comment 4 Fedora Release Engineering 2023-08-16 07:55:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 39 development cycle.
Changing version to 39.

Comment 5 Fedora Update System 2024-04-19 21:43:04 UTC
FEDORA-2024-249bb190e7 (erlang-mochiweb-3.2.2-1.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-249bb190e7

Comment 6 Fedora Update System 2024-04-19 21:43:07 UTC
FEDORA-2024-ba8502a080 (erlang-mochiweb-3.2.2-1.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-ba8502a080

Comment 7 Fedora Update System 2024-04-20 01:53:12 UTC
FEDORA-2024-ba8502a080 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-ba8502a080`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-ba8502a080

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2024-04-20 04:12:02 UTC
FEDORA-2024-249bb190e7 has been pushed to the Fedora 40 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-249bb190e7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-249bb190e7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2024-04-28 03:17:04 UTC
FEDORA-2024-249bb190e7 (erlang-mochiweb-3.2.2-1.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2024-04-28 03:29:34 UTC
FEDORA-2024-ba8502a080 (erlang-mochiweb-3.2.2-1.fc39) has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.